---
odoo_role_odoo_dbs:
  - odoo12
  - odoo12test

domains:
  - odoo12.coopdevs.org
  - odoo12test.coopdevs.org

odoo_role_test_dbs: ["odoo12test"]

system_administrators:
  - name: daniel
    ssh_key: "{{ inventory_dir }}/../pub_keys/daniel.pub"
    state: present
  - name: enrico
    ssh_key: "{{ inventory_dir }}/../pub_keys/enrico.pub"
    state: present
  - name: cesar
    ssh_key: "{{ inventory_dir }}/../pub_keys/cesar.pub"
    state: present
  - name: kon
    ssh_key: "{{ inventory_dir }}/../pub_keys/kon.pub"
    state: present
  - name: daniquilez
    ssh_key: "{{ inventory_dir }}/../pub_keys/daniquilez.pub"
    state: present
  - name: jordi
    ssh_key: "{{ inventory_dir }}/../pub_keys/jordi.pub"
    state: present

# Let's Encrypt conf
certificate_authority_email: "info@coopdevs.org"

# Set 'development_environment' to "true" to skip SSL and nginx tasks
development_environment: false

backups_role_enabled: true

monitoring_enabled: true
monitoring_promtail_enabled: false
monitoring_postgres_exporter_enabled: true
monitoring_postgres_exporter_pg_user: monitor

# Proxy and binding settings
odoo_role_odoo_http_interface: "127.0.0.1"
odoo_role_odoo_proxy_mode: true

basic_auth_users:
  - { 'path': '/etc/nginx/.nexporter.htpasswd', 'name': 'nexporter', 'password': '{{ basic_auth_user_nexporter_password }}' }
  - { 'path': '/etc/nginx/.pexporter.htpasswd', 'name': 'pexporter', 'password': '{{ basic_auth_user_pexporter_password }}' }

# Expose PostgreSQL DB in read only mode
expose_postgresql_users:
  - name: "{{ bi_db_user }}"
    password: "{{ bi_db_password }}"
    db: odoo12
    objs: "ALL_IN_SCHEMA"
    privs: "SELECT"

expose_postgresql_hba_entries:
  - contype: hostssl
    users: "{{ bi_db_user }}"
    source: "{{ bi_ip }}/32"
    databases: odoo12
    method: md5

postgresql_conf:
  - option: listen_addresses
    value: '*'
  - option: port
    value: "{{ expose_postgresql_port }}"
  - option: ssl
    value: true

# Enable firewall
firewall_enabled: True

firewall_allowed_tcp_ports:
  - "22"  # for SSH
  - "80"  # for HTTP. Nginx redirects it to 443
  - "443" # for HTTPS.

firewall_additional_rules:
  - "iptables -A INPUT -p tcp --dport {{ expose_postgresql_port }} -s {{ bi_ip }} -j ACCEPT"
